Functions
Flag_Management
Peripheral Driver » LL Driver » GPIO » Functions

## Functions
__STATIC_INLINE uint32_t | ll_gpio_read_flag_it (gpio_regs_t *GPIOx, uint32_t pin_mask)
| Read GPIO Interrupt Combination Flag for pins in the range of 0 to 15. More...
__STATIC_INLINE uint32_t | ll_gpio_is_active_flag_it (gpio_regs_t *GPIOx, uint32_t pin_mask)
| Indicates if the GPIO Interrupt Flag is set or not for pins in the range of 0 to 15. More...
__STATIC_INLINE void | ll_gpio_clear_flag_it (gpio_regs_t *GPIOx, uint32_t pin_mask)
| Clear Interrupt Status flag for pins in the range of 0 to 15. More...

## Detailed Description

## Function Documentation

## ◆ ll_gpio_clear_flag_it()

__STATIC_INLINE void ll_gpio_clear_flag_it | ( | gpio_regs_t * | GPIOx,
|  | uint32_t | pin_mask
| ) |  |

Clear Interrupt Status flag for pins in the range of 0 to 15.

Note
  After an interrupt is triggered, the corresponding bit in the INTSTATUS Register is set. The interrupt status can be cleared by writing 1 to corresponding bit in INTCLEAR Register.

Register|BitsName --------|-------- INTSTATUS | INTSTATUS

Parameters

  GPIOx | GPIO instance.
  pin_mask | This parameter can be a combination of the following values: LL_GPIO_PIN_0 LL_GPIO_PIN_1 LL_GPIO_PIN_2 LL_GPIO_PIN_3 LL_GPIO_PIN_4 LL_GPIO_PIN_5 LL_GPIO_PIN_6 LL_GPIO_PIN_7 LL_GPIO_PIN_8 LL_GPIO_PIN_9 LL_GPIO_PIN_10 LL_GPIO_PIN_11 LL_GPIO_PIN_12 LL_GPIO_PIN_13 LL_GPIO_PIN_14 LL_GPIO_PIN_15 LL_GPIO_PIN_ALL

Return values

  None |

Definition at line 1692 of file gr55xx_ll_gpio.h.

## ◆ ll_gpio_is_active_flag_it()

__STATIC_INLINE uint32_t ll_gpio_is_active_flag_it | ( | gpio_regs_t * | GPIOx,
|  | uint32_t | pin_mask
| ) |  |

Indicates if the GPIO Interrupt Flag is set or not for pins in the range of 0 to 15.

Note
  After an interrupt is triggered, the corresponding bit in the INTSTATUS Register is set. The interrupt status can be cleared by writing 1 to corresponding bit in INTCLEAR Register.

Register|BitsName --------|-------- INTSTATUS | INTSTATUS

Parameters

  GPIOx | GPIO instance.
  pin_mask | This parameter can be a combination of the following values: LL_GPIO_PIN_0 LL_GPIO_PIN_1 LL_GPIO_PIN_2 LL_GPIO_PIN_3 LL_GPIO_PIN_4 LL_GPIO_PIN_5 LL_GPIO_PIN_6 LL_GPIO_PIN_7 LL_GPIO_PIN_8 LL_GPIO_PIN_9 LL_GPIO_PIN_10 LL_GPIO_PIN_11 LL_GPIO_PIN_12 LL_GPIO_PIN_13 LL_GPIO_PIN_14 LL_GPIO_PIN_15 LL_GPIO_PIN_ALL

Return values

  State | of bit (1 or 0).

Definition at line 1657 of file gr55xx_ll_gpio.h.

## ◆ ll_gpio_read_flag_it()

__STATIC_INLINE uint32_t ll_gpio_read_flag_it | ( | gpio_regs_t * | GPIOx,
|  | uint32_t | pin_mask
| ) |  |

Read GPIO Interrupt Combination Flag for pins in the range of 0 to 15.

Note
  After an interrupt is triggered, the corresponding bit in the INTSTATUS Register is set. The interrupt status can be cleared by writing 1 to corresponding bit in INTCLEAR Register.

Register|BitsName --------|-------- INTSTATUS | INTSTATUS

Parameters

  GPIOx | GPIO instance.
  pin_mask | This parameter can be a combination of the following values: LL_GPIO_PIN_0 LL_GPIO_PIN_1 LL_GPIO_PIN_2 LL_GPIO_PIN_3 LL_GPIO_PIN_4 LL_GPIO_PIN_5 LL_GPIO_PIN_6 LL_GPIO_PIN_7 LL_GPIO_PIN_8 LL_GPIO_PIN_9 LL_GPIO_PIN_10 LL_GPIO_PIN_11 LL_GPIO_PIN_12 LL_GPIO_PIN_13 LL_GPIO_PIN_14 LL_GPIO_PIN_15 LL_GPIO_PIN_ALL

Return values

  Interrupt | flag whose bits were set when the selected trigger event arrives on the interrupt

Definition at line 1622 of file gr55xx_ll_gpio.h.